package com.steerinfo.meterwork.meterworkrailwayscheduledhelp.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="null")
public class MeterWorkRailwayScheduledHelp implements IBasePO<String> {
    /**
     * 主键(HELP_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="主键",required=true)
    private String helpId;

    /**
     * 车号(RAILWAY_NO,VARCHAR,11)
     */
    @ApiModelProperty(value="车号",required=false)
    private String railwayNo;

    /**
     * 报警内容(HELP_CONTENT,VARCHAR,200)
     */
    @ApiModelProperty(value="报警内容",required=false)
    private String helpContent;

    /**
     * 报警时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="报警时间",required=false)
    private Date createTime;

    /**
     * 结束时间(END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="结束时间",required=false)
    private Date endTime;

    /**
     * 处理人编号(CREATE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="处理人编号",required=false)
    private String createNo;

    /**
     * 处理人(CREATE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="处理人",required=false)
    private String createName;

    /**
     * 处理结果(RESULT,VARCHAR,100)
     */
    @ApiModelProperty(value="处理结果",required=false)
    private String result;

    /**
     * 是否处理（0：未处理，1：已处理）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否处理（0：未处理，1：已处理）",required=false)
    private String valueFlag;

    /**
     * 计量站点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量站点编号",required=false)
    private String baseSpotNo;

    /**
     * 计量站点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量站点名称",required=false)
    private String baseSpotName;

    /**
     * 是否上传智能料场(MEASURE_TASK_NUM,VARCHAR,2)
     */
    @ApiModelProperty(value="是否上传智能料场",required=false)
    private String measureTaskNum;

    /**
     * 报警类型（1：事后匹配报警；2：智能终端报警；3：跟车报警）(WARM_TYPE,VARCHAR,20)
     */
    @ApiModelProperty(value="报警类型（1：事后匹配报警；2：智能终端报警；3：跟车报警）",required=false)
    private String warmType;

    /**
     * 报警类型名称(WARM_TYPE_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="报警类型名称",required=false)
    private String warmTypeName;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.helpId;
    }

    @Override
    public void setId(String helpId) {
        this.helpId = helpId == null ? null : helpId.trim();
    }

    public String getHelpId() {
        return helpId;
    }

    public void setHelpId(String helpId) {
        this.helpId = helpId == null ? null : helpId.trim();
    }

    public String getRailwayNo() {
        return railwayNo;
    }

    public void setRailwayNo(String railwayNo) {
        this.railwayNo = railwayNo == null ? null : railwayNo.trim();
    }

    public String getHelpContent() {
        return helpContent;
    }

    public void setHelpContent(String helpContent) {
        this.helpContent = helpContent == null ? null : helpContent.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getCreateNo() {
        return createNo;
    }

    public void setCreateNo(String createNo) {
        this.createNo = createNo == null ? null : createNo.trim();
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName == null ? null : createName.trim();
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result == null ? null : result.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getMeasureTaskNum() {
        return measureTaskNum;
    }

    public void setMeasureTaskNum(String measureTaskNum) {
        this.measureTaskNum = measureTaskNum == null ? null : measureTaskNum.trim();
    }

    public String getWarmType() {
        return warmType;
    }

    public void setWarmType(String warmType) {
        this.warmType = warmType == null ? null : warmType.trim();
    }

    public String getWarmTypeName() {
        return warmTypeName;
    }

    public void setWarmTypeName(String warmTypeName) {
        this.warmTypeName = warmTypeName == null ? null : warmTypeName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", helpId=").append(helpId);
        sb.append(", railwayNo=").append(railwayNo);
        sb.append(", helpContent=").append(helpContent);
        sb.append(", createTime=").append(createTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", createNo=").append(createNo);
        sb.append(", createName=").append(createName);
        sb.append(", result=").append(result);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", measureTaskNum=").append(measureTaskNum);
        sb.append(", warmType=").append(warmType);
        sb.append(", warmTypeName=").append(warmTypeName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}